library( ANTsR )
les = antsImageRead("lesion.nii.gz") %>% iMath("Normalize")
les = les + makeImage( les, rnorm( sum(les), 0, 0.1 ) )
les2 = smoothImage( les, 3 ) %>% iMath("Normalize")
brn2 = antsImageRead("brain2.nii.gz") %>% iMath("Normalize")
brn2les = brn2 * ( 1 - les2 )
antsImageWrite( brn2les, 'brain2_lesioned.nii.gz' )
